@font-face {
    font-family: 'Digital Numbers';
    src: url(./assets/digital-7.ttf);
}

@font-face {
    font-family: 'Ubuntu Condensed';
    src: url(./assets/UbuntuCondensed-Regular.ttf);
}

@font-face {
    font-family: 'Din Condensed';
    src: url(./assets/din-condensed-regular.ttf);
}

:root{
    --rotate: 0deg;
}

*{
    color: #BEAC9E;
    font-family: 'Ubuntu Condensed';
    font-weight: 200;
    background-color: #1C1A1A;
}

.parent-container{
    display: flex;
    gap: 10vw;
    height: fit-content;
    margin-bottom: 0;
}

.container{ 
    display: block;
    margin-top: 5%;
    margin-bottom: 0;
    height: 100%;
}

.title{
    color: #238235;
    font-size: 3vw;
}

.calendar-div{
    display: grid;
    border: #3E3936 2px solid;
    border-radius: 8px;
    padding: 1rem;
    width: 100%;
    aspect-ratio: 1/1;
    padding: 1.3rem;
    padding-left: 1.3rem;
    padding-right: 1.3rem;
}

#calendar-dates, #calendar-days{
    display: grid;
    grid-template-columns: repeat(7, 1fr);
}

#month-display{
    font-size: 2.3rem;
    margin-top: 0rem;
    text-transform: uppercase;
}

#time-display{
    font-size: 2.3rem;
    margin-top: 0rem;
}

.time-and-month{
    display: flex;
    justify-content: space-between;
}

#calendar-days div{
    font-size: 1.9rem;
    font-family: 'Din Condensed';
}

#calendar-days{
    display: flex;
    justify-content: space-between;
}

#calendar-dates{
    align-self: center;
    padding-top: 1.3rem;
    margin-left: 0.6rem;
}

#calendar-dates div{
    text-align: right;
    margin-top: 0.3;
    margin-right: 1rem;
    margin-bottom: 1rem;
    font-family: 'Digital Numbers';
    font-size: 2.2rem;
}

.invisible{
    visibility: hidden;
}

.today{
    text-decoration: underline;
    text-decoration-thickness: 3px;
    text-underline-offset: 7px;
    text-decoration-color: #31C04C;
}


/* Clock */

.clock{
    position: relative;
    height: 7vw;
    aspect-ratio :1/1;
    margin-right: 1vw;
    margin-left: 0.2rem;
    width: 7vw;
    background-color: none;
    border: 2px #BEAC9E solid;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.clock::before{
    position: absolute;
    content: "";
    height: 3px;
    width: 3px;
    background-color: #ffffff;
    border-radius: 50%;
    z-index: 400;
}

.clock .hour, .clock .minute, .clock .second{
    position: absolute;
    background-color: #AF141C;
    transform: translateY(-50%) rotate(var(--rotate));
    transform-origin: bottom;
    align-self: center;
}

.clock .hour{
    height: 1.8rem;
    width: 1px;
}

.clock .minute{
    height: 2.5rem;
    width: 1px;
}

.clock .second{
    height: 2.5rem;
    width: 0.5px;
    z-index: 100;
    background-color: #e2202770;
}

.right-side{
    margin-top: 13.5%;
    margin-left: 2rem;
    display: block;
    width: 100%;
    margin-bottom: 0;
}

.day-clock{
    font-size: 1.3rem;
    margin-top: 0.5rem;
    margin-bottom: 0;
}

.date-clock{
    font-size: 1.8rem;
    margin-top: 0.2rem;
    margin-bottom: 0;
}

.digital-time{
    display: flex;
    align-items: flex-end;
    gap: 1px;
    margin-top: 0.2rem;
}

.month-clock{
    color: #238235;
}

.clock-container{
    display: flex;
    border: #3E3936 2px solid;
    padding: 0.5rem 1rem 0.5rem 1rem;
    border-radius: 600px;
    width: fit-content;
    align-items: center;
}

.other-clock-items{
    margin-right: 1rem;
    gap: 2rem;
}

.digital-time-clock{
    font-size: 1.5rem;
    align-self: flex-end;
    margin: 0;
    padding: 0;
}

.am-pm{
    font-size: 0.8rem;
}

/* Quote */

.quote-container{
    margin-top: 5vh;
    border: #3E3936 2px solid;
    border-radius: 8px;
    width: 50%;
    height:23vw;
    text-align: center;
    padding: 0 0.3rem;
}

.quote-title{
    margin-top: 1rem;
    margin-left: 0;
    margin-right: 0;
    padding: 0;
    font-family: 'Robotos' ;
    text-decoration: line-through;
    font-size: 2rem;
}


.quote{
    margin: 0;
    margin-left: 1rem;
    width: 3;
    text-align: left;
    font-size: 1.4rem;
    
}